## faac 1.28+cvs20151130

=== project/lcc/Makefile ===
# Makefile for project faac


# Edit this path to let it point to the location of the source on your HDD
SRCDIR=d:\aac\cvsrep\faac

# Edit this path to let it point to the location of your LCC installation
LCCDIR=c:\lcc

# No editing needed after this point

CFLAGS=-I$(LCCDIR)\include -I$(SRCDIR)\include -I$(SRCDIR)\common\getopt -I$(SRCDIR)\common\libsndfile\win32 -I$(SRCDIR)\common\libsndfile\src  -O 
CC=$(LCCDIR)\bin\lcc.exe
LINKER=$(LCCDIR)\bin\lcclnk.exe
OBJS=\
	getopt.obj \
	aiff.obj \
	alaw.obj \
	au.obj \
	au_g72x.obj \
	common.obj \
	g721.obj \
	g723_16.obj \
	g723_24.obj \
	g723_40.obj \
	g72x.obj \
	add.obj \
	code.obj \
	decode.obj \
	gsm_create.obj \
	gsm_decode.obj \
	gsm_destroy.obj \
	gsm_encode.obj \
	gsm_option.obj \
	long_term.obj \
	lpc.obj \
	preprocess.obj \
	rpe.obj \
	short_term.obj \
	table.obj \
	newpcm.obj \
	paf.obj \
	pcm.obj \
	raw.obj \
	sndfile.obj \
	svx.obj \
	ulaw.obj \
	wav.obj \
	wav_float.obj \
	wav_gsm610.obj \
	wav_ima_adpcm.obj \
	wav_ms_adpcm.obj \
	main.obj \
	aacquant.obj \
	backpred.obj \
	bitstream.obj \
	channels.obj \
	fft.obj \
	filtbank.obj \
	frame.obj \
	huffman.obj \
	joint.obj \
	ltp.obj \
	psych.obj \
	tns.obj \
	util.obj

LIBS=

faac.exe:	$(OBJS) Makefile
	$(LINKER)  -s -subsystem console -o $(SRCDIR)\lcc\faac.exe $(OBJS) $(LIBS)

# Build GETOPT.C
GETOPT_C=\
	$(SRCDIR)\common\getopt\getopt.h\

getopt.obj: $(GETOPT_C) $(SRCDIR)\common\getopt\getopt.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\getopt\getopt.c

# Build AIFF.C
AIFF_C=\
	$(SRCDIR)\common\libsndfile\win32\unistd.h\
	$(SRCDIR)\common\libsndfile\src\sndfile.h\
	$(SRCDIR)\common\libsndfile\win32\config.h\
	$(SRCDIR)\common\libsndfile\src\sfendian.h\
	$(SRCDIR)\common\libsndfile\win32\config.h\
	$(SRCDIR)\common\libsndfile\src\common.h\
	$(SRCDIR)\common\libsndfile\src\pcm.h\

aiff.obj: $(AIFF_C) $(SRCDIR)\common\libsndfile\src\aiff.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\aiff.c

# Build ALAW.C
ALAW_C=\
	$(SRCDIR)\common\libsndfile\win32\unistd.h\
	$(SRCDIR)\common\libsndfile\src\sndfile.h\
	$(SRCDIR)\common\libsndfile\src\common.h\

alaw.obj: $(ALAW_C) $(SRCDIR)\common\libsndfile\src\alaw.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\alaw.c

# Build AU.C
AU_C=\
	$(SRCDIR)\common\libsndfile\win32\unistd.h\
	$(SRCDIR)\common\libsndfile\src\sndfile.h\
	$(SRCDIR)\common\libsndfile\win32\config.h\
	$(SRCDIR)\common\libsndfile\src\sfendian.h\
	$(SRCDIR)\common\libsndfile\win32\config.h\
	$(SRCDIR)\common\libsndfile\src\common.h\
	$(SRCDIR)\common\libsndfile\src\pcm.h\
	$(SRCDIR)\common\libsndfile\src\au.h\
	$(SRCDIR)\common\libsndfile\src\ulaw.h\
	$(SRCDIR)\common\libsndfile\src\alaw.h\

au.obj: $(AU_C) $(SRCDIR)\common\libsndfile\src\au.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\au.c

# Build AU_G72X.C
AU_G72X_C=\
	$(SRCDIR)\common\libsndfile\win32\unistd.h\
	$(SRCDIR)\common\libsndfile\src\sndfile.h\
	$(SRCDIR)\common\libsndfile\win32\config.h\
	$(SRCDIR)\common\libsndfile\src\sfendian.h\
	$(SRCDIR)\common\libsndfile\win32\config.h\
	$(SRCDIR)\common\libsndfile\src\common.h\
	$(SRCDIR)\common\libsndfile\src\au.h\
	$(SRCDIR)\common\libsndfile\src\G72x\g72x.h\

au_g72x.obj: $(AU_G72X_C) $(SRCDIR)\common\libsndfile\src\au_g72x.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\au_g72x.c

# Build COMMON.C
COMMON_C=\
	$(SRCDIR)\common\libsndfile\src\sndfile.h\
	$(SRCDIR)\common\libsndfile\src\sfendian.h\
	$(SRCDIR)\common\libsndfile\win32\config.h\
	$(SRCDIR)\common\libsndfile\src\common.h\

common.obj: $(COMMON_C) $(SRCDIR)\common\libsndfile\src\common.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\common.c

# Build G721.C
G721_C=\
	$(SRCDIR)\common\libsndfile\src\g72x\g72x.h\
	$(SRCDIR)\common\libsndfile\src\g72x\private.h\

g721.obj: $(G721_C) $(SRCDIR)\common\libsndfile\src\g72x\g721.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\g72x\g721.c

# Build G723_16.C
G723_16_C=\
	$(SRCDIR)\common\libsndfile\src\g72x\g72x.h\
	$(SRCDIR)\common\libsndfile\src\g72x\private.h\

g723_16.obj: $(G723_16_C) $(SRCDIR)\common\libsndfile\src\g72x\g723_16.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\g72x\g723_16.c

# Build G723_24.C
G723_24_C=\
	$(SRCDIR)\common\libsndfile\src\g72x\g72x.h\
	$(SRCDIR)\common\libsndfile\src\g72x\private.h\

g723_24.obj: $(G723_24_C) $(SRCDIR)\common\libsndfile\src\g72x\g723_24.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\g72x\g723_24.c

# Build G723_40.C
G723_40_C=\
	$(SRCDIR)\common\libsndfile\src\g72x\g72x.h\
	$(SRCDIR)\common\libsndfile\src\g72x\private.h\

g723_40.obj: $(G723_40_C) $(SRCDIR)\common\libsndfile\src\g72x\g723_40.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\g72x\g723_40.c

# Build G72X.C
G72X_C=\
	$(SRCDIR)\common\libsndfile\src\g72x\g72x.h\
	$(SRCDIR)\common\libsndfile\src\g72x\private.h\

g72x.obj: $(G72X_C) $(SRCDIR)\common\libsndfile\src\g72x\g72x.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\g72x\g72x.c

# Build ADD.C
ADD_C=\
	$(SRCDIR)\common\libsndfile\src\gsm610\private.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\unproto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\gsm.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\

add.obj: $(ADD_C) $(SRCDIR)\common\libsndfile\src\gsm610\add.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\gsm610\add.c

# Build CODE.C
CODE_C=\
	$(SRCDIR)\common\libsndfile\src\gsm610\config.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\private.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\unproto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\gsm.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\

code.obj: $(CODE_C) $(SRCDIR)\common\libsndfile\src\gsm610\code.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\gsm610\code.c

# Build DECODE.C
DECODE_C=\
	$(SRCDIR)\common\libsndfile\src\gsm610\private.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\unproto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\gsm.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\

decode.obj: $(DECODE_C) $(SRCDIR)\common\libsndfile\src\gsm610\decode.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\gsm610\decode.c

# Build GSM_CREATE.C
GSM_CREATE_C=\
	$(SRCDIR)\common\libsndfile\src\gsm610\config.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\gsm.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\private.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\unproto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\

gsm_create.obj: $(GSM_CREATE_C) $(SRCDIR)\common\libsndfile\src\gsm610\gsm_create.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\gsm610\gsm_create.c

# Build GSM_DECODE.C
GSM_DECODE_C=\
	$(SRCDIR)\common\libsndfile\src\gsm610\private.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\unproto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\gsm.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\

gsm_decode.obj: $(GSM_DECODE_C) $(SRCDIR)\common\libsndfile\src\gsm610\gsm_decode.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\gsm610\gsm_decode.c

# Build GSM_DESTROY.C
GSM_DESTROY_C=\
	$(SRCDIR)\common\libsndfile\src\gsm610\gsm.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\config.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\

gsm_destroy.obj: $(GSM_DESTROY_C) $(SRCDIR)\common\libsndfile\src\gsm610\gsm_destroy.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\gsm610\gsm_destroy.c

# Build GSM_ENCODE.C
GSM_ENCODE_C=\
	$(SRCDIR)\common\libsndfile\src\gsm610\private.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\unproto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\gsm.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\

gsm_encode.obj: $(GSM_ENCODE_C) $(SRCDIR)\common\libsndfile\src\gsm610\gsm_encode.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\gsm610\gsm_encode.c

# Build GSM_OPTION.C
GSM_OPTION_C=\
	$(SRCDIR)\common\libsndfile\src\gsm610\private.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\unproto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\gsm.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\

gsm_option.obj: $(GSM_OPTION_C) $(SRCDIR)\common\libsndfile\src\gsm610\gsm_option.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\gsm610\gsm_option.c

# Build LONG_TERM.C
LONG_TERM_C=\
	$(SRCDIR)\common\libsndfile\src\gsm610\private.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\unproto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\gsm.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\

long_term.obj: $(LONG_TERM_C) $(SRCDIR)\common\libsndfile\src\gsm610\long_term.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\gsm610\long_term.c

# Build LPC.C
LPC_C=\
	$(SRCDIR)\common\libsndfile\src\gsm610\private.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\unproto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\gsm.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\

lpc.obj: $(LPC_C) $(SRCDIR)\common\libsndfile\src\gsm610\lpc.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\gsm610\lpc.c

# Build PREPROCESS.C
PREPROCESS_C=\
	$(SRCDIR)\common\libsndfile\src\gsm610\private.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\unproto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\gsm.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\

preprocess.obj: $(PREPROCESS_C) $(SRCDIR)\common\libsndfile\src\gsm610\preprocess.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\gsm610\preprocess.c

# Build RPE.C
RPE_C=\
	$(SRCDIR)\common\libsndfile\src\gsm610\private.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\unproto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\gsm.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\

rpe.obj: $(RPE_C) $(SRCDIR)\common\libsndfile\src\gsm610\rpe.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\gsm610\rpe.c

# Build SHORT_TERM.C
SHORT_TERM_C=\
	$(SRCDIR)\common\libsndfile\src\gsm610\private.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\unproto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\gsm.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\

short_term.obj: $(SHORT_TERM_C) $(SRCDIR)\common\libsndfile\src\gsm610\short_term.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\gsm610\short_term.c

# Build TABLE.C
TABLE_C=\
	$(SRCDIR)\common\libsndfile\src\gsm610\private.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\proto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\unproto.h\
	$(SRCDIR)\common\libsndfile\src\gsm610\gsm.h\

table.obj: $(TABLE_C) $(SRCDIR)\common\libsndfile\src\gsm610\table.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\gsm610\table.c

# Build NEWPCM.C
NEWPCM_C=\
	$(SRCDIR)\common\libsndfile\win32\unistd.h\
	$(SRCDIR)\common\libsndfile\win32\config.h\
	$(SRCDIR)\common\libsndfile\src\sndfile.h\
	$(SRCDIR)\common\libsndfile\src\common.h\
	$(SRCDIR)\common\libsndfile\src\sfendian.h\
	$(SRCDIR)\common\libsndfile\win32\config.h\
	$(SRCDIR)\common\libsndfile\src\pcm.h\

newpcm.obj: $(NEWPCM_C) $(SRCDIR)\common\libsndfile\src\newpcm.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\newpcm.c

# Build PAF.C
PAF_C=\
	$(SRCDIR)\common\libsndfile\win32\unistd.h\
	$(SRCDIR)\common\libsndfile\src\sndfile.h\
	$(SRCDIR)\common\libsndfile\win32\config.h\
	$(SRCDIR)\common\libsndfile\src\sfendian.h\
	$(SRCDIR)\common\libsndfile\win32\config.h\
	$(SRCDIR)\common\libsndfile\src\common.h\
	$(SRCDIR)\common\libsndfile\src\pcm.h\

paf.obj: $(PAF_C) $(SRCDIR)\common\libsndfile\src\paf.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\common\libsndfile\src\paf.c

# Build PCM.C
PCM_C=\
	$(SRCDIR)\common\libsndfile\win32\unistd.h\
	$(SRCDIR)\common\libsndfile\win32\config.h\
	$(SRCDIR)\common\libsndfile\src\sndfile.h\
	$(SRCDIR)\common\libsndfile\src\common.h\
	$(SRCDIR)\common\libsndfile\src\sfendian.h\

## faac 1.28

=== debian/changelog ===
faac (1.28-6) unstable; urgency=low

  * Add "XS-Autobuild: yes" to debian/control and clarify in debian/copyright
    that this package can legitimately and technically be auto-built
    (Closes: #729145).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 21 Nov 2013 10:03:07 +0100

faac (1.28-5) unstable; urgency=low

  [ Andres Mejia ]
  * Disable mp4v2 support.
    This only disables mp4v2 for the faac utility program. The faac
    utility is GPL-2 but the mp4v2 library is MPL-1.1. The two licenses
    are incompatible with each other.

  [ Reinhard Tartler ]
  * Revise debian/copyright
  * Bump standards version (no changes needed)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 22 Jun 2013 15:09:31 +0200

faac (1.28-4) unstable; urgency=low

  * Upload to Debian. (Closes: #665318)
  * Change my contact info to use my @debian.org email.
  * Bump to Standards-Version 3.9.3.
  * Make dev package multiarch installable.
  * Add Vcs-* entries.

 -- Andres Mejia <amejia@debian.org>  Thu, 22 Mar 2012 21:45:48 -0400

faac (1.28-3) unstable; urgency=low

  * Use updated external libmp4v2 if available.
  * Port faac to the iTMF Generic and Tags API.
  * Add Build-Depends: libmp4v2-dev (>= 1.9.1).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 20 Feb 2012 15:06:05 +0100

faac (1.28-2) unstable; urgency=low

  * Build faac against the public API exposed in <faac.h>
    instead of the private API defined in "libfaac/frame.h".
  * Simplify symbol-visibility.patch accordingly.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 07 Feb 2012 14:28:52 +0100

faac (1.28-1) unstable; urgency=low

  * Update my e-mail address in Uploaders field.
  * Update debian/copyright.
  * Ship upstream manpage instead if our own one.
  * Fix dh invocation in debian/rules.
  * Set appropriate symbol visibility attributes.
  * Add debian/libfaac0.symbols file.
  * Fix format string security error.
  * Multi-Archify.
  * TODO: Port to libmp4v2-r479 API.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 06 Feb 2012 14:57:15 +0100

faac (1.28-0fab3) unstable; urgency=low

  [ Andres Mejia ]
  * Various fixes for getting faac working on current Debian sid.
  * Include myself in Uploaders field.
  * Clarify comment about build fixes in patch.
  * Change this package section to non-free due to its conflicting
    licensing terms.
  * Don't include libtool file.

  [ Maia Kozheva ]
  * Add .gitignore.
  * Remove explicit quilt dependency, migrate to 3.0 source format.
  * Remove autoreconf.patch, using dh_autoreconf.
  * debian/control:
    - Reword binary package descriptions to remove initial articles.
    - Bump Standards-Version to 3.9.2.
    - Update maintainer field.
    - Add myself to uploaders.
  * debian/control, debian/rules:
    - Remove quilt, add dh-autoreconf support.
  * debian/faac.manpages, debian/manpages/faac.1:
    - Add manpage from Ubuntu version 1.26-0.1ubuntu2, with manpage hyphen
      issues corrected.

 -- Maia Kozheva <sikon@ubuntu.com>  Thu, 09 Jun 2011 11:24:43 +0700

faac (1.28-0fab2) unstable; urgency=low

  * debian/control, debian/rules: Ported from debhelper (>= 7) to cdbs.
  * debian/control: Wrapped Build-Depends and Depends fields.

 -- Fabian Greffrath <fabian@greffrath.com>  Mon, 29 Jun 2009 12:00:00 +0200

faac (1.28-0fab1) unstable; urgency=low

  * Initial release.

 -- Fabian Greffrath <fabian@greffrath.com>  Mon, 01 Jun 2009 00:00:00 +0200

=== debian/control ===
Source: faac
Section: non-free/sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian+debian@greffrath.com>,
           Reinhard Tartler <siretart@tauware.de>,
           Andres Mejia <amejia@debian.org>,
           Maia Kozheva <sikon@ubuntu.com>
Build-Depends: debhelper (>= 9),
 dh-autoreconf
Standards-Version: 3.9.4
Homepage: http://www.audiocoding.com/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/faac.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/faac.git
XS-Autobuild: yes

Package: faac
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: AAC audio encoder (frontend)
 The FAAC project includes the AAC encoder FAAC and decoder FAAD2. It supports
 several MPEG-4 object types (LC, Main, LTP, HE AAC, PS) and file formats
 (ADTS AAC, raw AAC, MP4), multichannel and gapless en/decoding as well as MP4
 metadata tags. The codecs are compatible with standard-compliant audio
 applications using one or more of these profiles.
 .
 This package contains the frontend.

Package: libfaac0
Section: non-free/libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: AAC audio encoder (library)
 The FAAC project includes the AAC encoder FAAC and decoder FAAD2. It supports
 several MPEG-4 object types (LC, Main, LTP, HE AAC, PS) and file formats
 (ADTS AAC, raw AAC, MP4), multichannel and gapless en/decoding as well as MP4
 metadata tags. The codecs are compatible with standard-compliant audio
 applications using one or more of these profiles.
 .
 This package contains the shared library.

Package: libfaac-dev
Section: non-free/libdevel
Architecture: any
Multi-Arch: same
Depends: libfaac0 (= ${binary:Version}),
         ${misc:Depends}
Description: AAC audio encoder (development)
 The FAAC project includes the AAC encoder FAAC and decoder FAAD2. It supports
 several MPEG-4 object types (LC, Main, LTP, HE AAC, PS) and file formats
 (ADTS AAC, raw AAC, MP4), multichannel and gapless en/decoding as well as MP4
 metadata tags. The codecs are compatible with standard-compliant audio
 applications using one or more of these profiles.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --without-mp4v2

## faac 1.28+cvs20150510

=== debian/changelog ===
faac (1.28+cvs20150510-1) unstable; urgency=medium

  * New upstream CVS snapshot.
  * Add debian/README.source to document how the Debian source tarball was
    created and force xz compression in debian/gbp.conf.
  * Remove all patches that were either applied, solved differently or
    disapproved upstream:
    + autotools-compat.patch: Disapproved upstream.
    + build-fix.patch: Does not apply anymore.
    + symbol-visibility.patch: Does not apply anymore.
    + format-security.patch: Applied upstream.
    + exposed-API.patch: Applied upstream.
    + external-libmp4v2.patch: Does not apply anymore.
    + external-libmp4v2_r479.patch: Applied upstream.
    + libfaac_drm.patch: Does not apply anymore.
  * Apply patch from upstream bug tracker to fix compilation without libmp4v2.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 11 May 2015 14:46:31 +0200

faac (1.28-7) unstable; urgency=medium

  * Build the DRM version of the library as well as the normal version,
    thanks Julian Cable for the idea and the patch!
  * Remove Andres Mejia from Uploaders (Closes: #743523).
  * Remove debian/source/local-options, they are default now.
  * Fix most autotools warnings
  * Bump "Standards-Version" to 3.9.6.
  * Run "wrap-and-sort -asb".

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 30 Apr 2015 18:14:49 +0200

=== debian/control ===
Source: faac
Section: non-free/sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Reinhard Tartler <siretart@tauware.de>,
 Maia Kozheva <sikon@ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf
Standards-Version: 3.9.6
Homepage: http://www.audiocoding.com/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/faac.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/faac.git
XS-Autobuild: yes

Package: faac
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: AAC audio encoder (frontend)
 The FAAC project includes the AAC encoder FAAC and decoder FAAD2. It supports
 several MPEG-4 object types (LC, Main, LTP, HE AAC, PS) and file formats
 (ADTS AAC, raw AAC, MP4), multichannel and gapless en/decoding as well as MP4
 metadata tags. The codecs are compatible with standard-compliant audio
 applications using one or more of these profiles.
 .
 This package contains the frontend.

Package: libfaac-dev
Section: non-free/libdevel
Architecture: any
Multi-Arch: same
Depends:
 libfaac0 (= ${binary:Version}),
 ${misc:Depends}
Description: AAC audio encoder (development)
 The FAAC project includes the AAC encoder FAAC and decoder FAAD2. It supports
 several MPEG-4 object types (LC, Main, LTP, HE AAC, PS) and file formats
 (ADTS AAC, raw AAC, MP4), multichannel and gapless en/decoding as well as MP4
 metadata tags. The codecs are compatible with standard-compliant audio
 applications using one or more of these profiles.
 .
 This package contains the development files.

Package: libfaac0
Section: non-free/libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: AAC audio encoder (library)
 The FAAC project includes the AAC encoder FAAC and decoder FAAD2. It supports
 several MPEG-4 object types (LC, Main, LTP, HE AAC, PS) and file formats
 (ADTS AAC, raw AAC, MP4), multichannel and gapless en/decoding as well as MP4
 metadata tags. The codecs are compatible with standard-compliant audio
 applications using one or more of these profiles.
 .
 This package contains the shared library and an extra
 library with support for Digital Radio Mondiale (DRM).

## faac 1.28+cvs20151130

=== debian/changelog ===
faac (1.28+cvs20151130-1) unstable; urgency=medium

  * Imported Upstream version 1.28+cvs20151130
    + Fixes compilation without limbp4v2.
    + Fixes encoding from non-seekable raw input (LP: #1517608).
      Thanks to Sebastian Wilhelmi for the patch.
  * Remove patches, applied upstream.
  * Update my email address to my Debian account.
  * Explicitly disable building with MP4V2 in debian/rules unless
    DEB_BUILD_OPTIONS=mp4v2 is given.
  * Add README.Debian to explain why MP4 container support is disabled in
    the Debian package and how to rebuild it locally with MP4 support.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 30 Nov 2015 08:09:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Fabian Greffrath <fabian+debian@greffrath.com>,
+ Fabian Greffrath <fabian@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
  Maia Kozheva <sikon@ubuntu.com>
 Build-Depends:

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter mp4v2,$(DEB_BUILD_OPTIONS)))
	EXT_MP4V2="ac_cv_lib_mp4v2_MP4Create=no"
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --without-mp4v2 ${EXT_MP4V2}

=== debian/watch ===
version=3
http://sf.net/faac/faac-(.*)\.tar.gz

## faac 1.29.3+git20170724

=== debian/changelog ===
faac (1.29.3+git20170724-1) unstable; urgency=medium

  * New upstream version 1.29.3+git20170724 (commit 3ba209).
  * Adjust debian/copyright.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 24 Jul 2017 17:52:05 +0200

faac (1.29.2-1) unstable; urgency=medium

  * New upstream version 1.29.2.
    + New MP4 output module written from scratch (Closes: #797838).
  * Remove debian/README.Debian and untangle debian/rules,
    support for building against libmp4v2 has been removed upstream.
  * Update debian/copyright.
  * Append "--no-undefined" to LDFLAGS.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 17 Jul 2017 21:51:39 +0200

faac (1.29+git20170704-1) unstable; urgency=medium

  * New upstream version 1.29+git20170704 (commit 451843).
    + Fixes CVE-2017-9129 CVE-2017-9130 (Closes: 865909).
  * Update debian/watch file.
  * Remove debian/README.source and debian/gbp.conf files,
    they do not apply anymore.
  * Remove Maia Kozheva from Uploaders (Closes: #829316).
  * Bump Standards-Version to 4.0.0:
    + Refer to MPL-1.1 in common-licenses in debian/copyright.
  * Bump debhelper compat to 10.
  * Fix spelling-error-in-readme-debian lintian warning.
  * Fix vcs-field-uses-insecure-uri lintian warning.
  * Enable all hardening flags.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 05 Jul 2017 20:13:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Fabian Greffrath <fabian@debian.org>,
- Reinhard Tartler <siretart@tauware.de>,
- Maia Kozheva <sikon@ubuntu.com>
+ Reinhard Tartler <siretart@tauware.de>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10~),
  dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://www.audiocoding.com/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/faac.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/faac.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/faac.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/faac.git/
 XS-Autobuild: yes
 
 Package: faac

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,--no-undefined

%:
	dh $@

## faac 1.29.7.7

=== debian/changelog ===
faac (1.29.7.7-1) unstable; urgency=medium

  * New upstream version 1.29.7.7.
  * Update debian/copyright for recently added or removed source files.
  * Bump Standards-Version to 4.1.0.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 30 Sep 2017 14:40:40 +0200

faac (1.29.7.4-1) unstable; urgency=medium

  * New upstream version 1.29.7.4.
  * Remove files from copyright file that were dropped upstream.
  * Fix spelling-error-in-changelog lintian warning.
  * Fix syntax errors in override rules.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 06 Sep 2017 21:17:31 +0200

faac (1.29.7.2-1) unstable; urgency=medium

  * New upstream version 1.29.7.2.
  * Fix useless-autoreconf-build-depends lintian warning.
  * Explicitly build DRM variant, it isn't built by default anymore.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 26 Aug 2017 21:49:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
  Fabian Greffrath <fabian@debian.org>,
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends:
- debhelper (>= 10~),
- dh-autoreconf
-Standards-Version: 4.0.0
+ debhelper (>= 10~)
+Standards-Version: 4.1.0
 Homepage: http://www.audiocoding.com/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/faac.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/faac.git/

## faac 1.29.9.2

=== debian/changelog ===
faac (1.29.9.2-2) unstable; urgency=medium

  * Add some more post-release commits from the upstream GIT repo.
  * Add */*.la to debian/clean.
  * Upload to unstable.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 22 Sep 2018 21:14:07 +0200

faac (1.29.9.2-1) experimental; urgency=medium

  * Upload to experimental, let's first see if DRM still works.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Fabian Greffrath ]
  * New upstream version 1.29.9.2 (Closes: #900116).
  * Apply all post-1.29.9.2 commits from upstream's GIT repo.
  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.1.4.
  * Update debian/copyright for some removed or relicensed files.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 02 Jun 2018 20:35:38 +0200

faac (1.29.9-1) unstable; urgency=medium

  * New upstream version 1.29.9

 -- Fabian Greffrath <fabian@debian.org>  Mon, 06 Nov 2017 17:10:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: faac
 Section: non-free/sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Fabian Greffrath <fabian@debian.org>,
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends:
- debhelper (>= 10~)
-Standards-Version: 4.1.0
+ debhelper (>= 11~)
+Standards-Version: 4.1.4
 Homepage: http://www.audiocoding.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/faac.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/faac.git/
+Vcs-Git: https://salsa.debian.org/multimedia-team/faac.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/faac
 XS-Autobuild: yes
 
 Package: faac

=== debian/watch ===
version=3
http://sf.net/faac/faac-(\d\S+)\.tar.gz

## faac 1.30

=== debian/changelog ===
faac (1.30-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Fabian Greffrath ]
  * Upstream moved to GitHub, adapt Homepage field
    and debian/watch file accordingly.
  * New upstream version 1.30
    + Check index ranges before dereferencing book arrays
      (CVE-2018-19886, CVE-2018-19887, CVE-2018-19889,
      CVE-2018-19890 CVE-2018-19891) Closes: #915763.
    + Add stdint.h header inclusions, Closes: #928038.
  * Remove all patches, applied upstream.
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.1.
  * Rules-Requires-Root: no.
  * Add Build-Depends-Package lines to the symbols file.
  * Add "usr/lib/*/*.la" to the debian/not-installed file.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 17 Oct 2019 20:58:54 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
  Fabian Greffrath <fabian@debian.org>,
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends:
- debhelper (>= 11~)
-Standards-Version: 4.1.4
-Homepage: http://www.audiocoding.com/
+ debhelper-compat (= 12)
+Standards-Version: 4.4.1
+Homepage: https://github.com/knik0/faac
 Vcs-Git: https://salsa.debian.org/multimedia-team/faac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/faac
+Rules-Requires-Root: no
 XS-Autobuild: yes
 
 Package: faac

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,15 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+override_dh_auto_build:
+override_dh_auto_install:
+	# 1. configure, build and install variant with Digital Radio Mondiale support
+	dh_auto_configure -- --enable-drm
+	dh_auto_build
+	dh_auto_install
+	# 2. configure, build and install regular variant with frontend
+	dh_auto_configure
+	dh_auto_build
+	dh_auto_install

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
https://github.com/knik0/faac/releases \
/knik0/faac/archive/(\d[_\d]*)@ARCHIVE_EXT@

## faac 1.31+dfsg

=== debian/changelog ===
faac (1.31+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Fabian Greffrath ]
  * Fix libfaac0t64.symbols file for libfaac_drm.so.0
  * Exclude plugins, project and utils directories from source
    tarball
  * Fix debian/watch file
  * New upstream version 1.31+dfsg
  * Simplify debian/rules
  * Install the pkgconfig file
  * Bump Standards-Version to 4.7.1
  * Update Debian packaging copyright year

 -- Fabian Greffrath <fabian@debian.org>  Fri, 28 Feb 2025 16:00:27 +0100

faac (1.30-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 01 Feb 2024 21:28:49 +0000

## faac 1.31.1+dfsg

=== debian/changelog ===
faac (1.31.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.31.1+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Tue, 04 Mar 2025 09:45:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Fabian Greffrath <fabian@debian.org>,
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends:
- debhelper-compat (= 12)
-Standards-Version: 4.4.1
+ debhelper-compat (= 13)
+Standards-Version: 4.7.1
 Homepage: https://github.com/knik0/faac
 Vcs-Git: https://salsa.debian.org/multimedia-team/faac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/faac
@@ -33,7 +33,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libfaac0 (= ${binary:Version}),
+ libfaac0t64 (= ${binary:Version}),
  ${misc:Depends}
 Description: AAC audio encoder (development)
  The FAAC project includes the AAC encoder FAAC and decoder FAAD2. It supports
@@ -44,7 +44,10 @@
  .
  This package contains the development files.
 
-Package: libfaac0
+Package: libfaac0t64
+Provides: ${t64:Provides}
+Replaces: libfaac0
+Breaks: libfaac0 (<< ${source:Version})
 Section: non-free/libs
 Architecture: any
 Multi-Arch: same

=== debian/watch ===
version=4
opts="dversionmangle=s/@DEB_EXT@//,uversionmangle=s/_/./g,repack,repacksuffix=+dfsg,compression=xz" \
  https://github.com/knik0/@PACKAGE@/tags .*/(?:@PACKAGE@)?(?:[-])?([\d\._]*)@ARCHIVE_EXT@
